<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizCompanyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizCompany">
        <id column="company_id" property="companyId" />
        <result column="create_time" property="createTime" />
        <result column="company_name" property="companyName" />
        <result column="address" property="address" />
        <result column="contact_person" property="contactPerson" />
        <result column="phone_number" property="phoneNumber" />
        <result column="email" property="email" />
        <result column="website_url" property="websiteUrl" />
        <result column="remarks" property="remarks" />
        <result column="comp_status" property="compStatus" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, company_id, company_name, address, contact_person, phone_number, email, website_url, remarks, comp_status, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
